## threadweaver5-5.116.0-2.src.tar.gz

=== examples/HelloInternet/CMakeLists.txt ===
# Project name
project(HelloInternet)
find_package(Qt${QT_MAJOR_VERSION} COMPONENTS Core Network Xml Widgets REQUIRED)
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
# Add the SequenceDemo executable and link the ThreadWeaver framework:
add_executable(ThreadWeaver_HelloInternet
    main.cpp
    MainWidget.cpp
    ViewController.cpp
    HelloInternetResources.qrc
)

kde_enable_exceptions()
target_link_libraries(ThreadWeaver_HelloInternet Qt${QT_MAJOR_VERSION}::Network Qt${QT_MAJOR_VERSION}::Xml Qt${QT_MAJOR_VERSION}::Widgets KF5::ThreadWeaver)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>

_name=threadweaver
pkgname=${_name}5
pkgver=5.116.0
pkgrel=2
pkgdesc='High-level multithreading framework'
arch=(x86_64)
url='https://community.kde.org/Frameworks'
license=(LGPL)
depends=(qt5-base)
makedepends=(extra-cmake-modules)
conflicts=("$_name<5.111")
replaces=("$_name<5.111")
groups=(kf5)
source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$_name-$pkgver.tar.xz{,.sig})
sha256sums=('9723dc652df9a2df8b6b9909af5bf0de3b3eb3aaed260a6419df2b0ddbe8eae0'
            'SKIP')
validpgpkeys=(53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB) # David Faure <faure@kde.org>

prepare() {
  sed -e '/examples/d' -i $_name-$pkgver/CMakeLists.txt
}

build() {
  cmake -B build -S $_name-$pkgver \
    -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
